List permissions
GET /permissions
GET /permissions
List permissions matching some options (action, approved, scope, source, target). When specified, at least one of source ID and target ID properties must be related to the current user (its user ID or an app the user has access to). If not specified, the user ID will be used for all private permission requests (when "system" is not set as target type).
actionstringapprovedbooleanThe approved property determines whether a permission has been granted or not.
scopestringThe scope property grant access to a specific set of data.
"name""emails""phones""country""language""biologicalSex""bloodGlucose""bloodGlucoseTarget""bloodType""bolusCalculation""carbohydrates""carbohydratesRecommendation""dateOfBirth""diabetesType""insulinDelivery""insulinOnBoard""insulinRecommendation""insulinReduction""insulinSensitivity""insulinToCarbohydratesRatio""interstitialGlucose""licenses"sourceIdstringThe owner ID is a unique identifier for an owner (either a user or an app).
sourceTypestringtargetIdstringThe owner ID is a unique identifier for an owner (either a user or an app).
targetTypestringThe target type property provides additional context to the target ID.
"app""system""user"The response is an array of extended permissions.
Extend the Permission object with sourceName and targetName
idstring✻The permission ID is a unique identifier for a permission.
"9352258f-0263-47d1-b9c7-16cd93be7501"actionstring✻scopestring✻The scope property grant access to a specific set of data.
"name""emails""phones""country""language""biologicalSex""bloodGlucose""bloodGlucoseTarget""bloodType""bolusCalculation""carbohydrates""carbohydratesRecommendation""dateOfBirth""diabetesType""insulinDelivery""insulinOnBoard""insulinRecommendation""insulinReduction""insulinSensitivity""insulinToCarbohydratesRatio""interstitialGlucose""licenses"sourceIdstring✻The owner ID is a unique identifier for an owner (either a user or an app).
sourceName✻sourceTypestring✻targetIdstringThe owner ID is a unique identifier for an owner (either a user or an app).
targetName✻targetTypestring✻The target type property provides additional context to the target ID.
"app""system""user"approvedbooleanThe approved property determines whether a permission has been granted or not.
createdAtstring✻createdBystring✻updatedAtstringupdatedBystring